require "StandardMouseButton"
require "CDialog"

-- reserve constructor
Book_AfterBAIDialog = 
{
	name = "Book_AfterBAIDialog"
}

function Book_AfterBAIDialog:Create(  )
	
	-- The main screen container
	local instance = root.dialogs[ self.name ];
	instance:SetPosition( 139, 99 )
	CDialog:Attach( instance )

	local btnDone = instance.button
	
	-- The main init function
	function instance:Init( )
		log("init " .. instance.tileset)
		if ( instance.tileset == 0 or instance.tileset == 3 ) then
			instance.body:SetText("That looked absolutely delicious! Keep it up and it will be smooth sailing to the big day...and you'll be able to see your creation in the bride and groom's photo album!");
		elseif ( instance.tileset == 1 or instance.tileset == 4 ) then
			instance.body:SetText("What a beautiful bouquet - very nice choices. If you can finish the wedding planning and make this dream day a reality, you'll see your bouquet in the wedding album at the end of the game!");
		elseif ( instance.tileset == 2 or instance.tileset == 5 ) then
			instance.body:SetText("What a beautiful gown! Soon you'll be seeing it on the bride herself, in the wedding album...");
		end
	
	end

	-- init done button
	StandardMouseButton( btnDone )
	function btnDone:Pressed( )
		instance:ScreenEvent( "btnDone", "" )
		instance:CloseAndSave( )
	end

end

Book_AfterBAIDialog:Create( )



